Loading...
Searching...
No Matches
pappso::FilterMorphoSum Class Reference

test purpose More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoSum:

## Public Member Functions

| FilterMorphoSum (std::size_t half_window_size)
| FilterMorphoSum (const FilterMorphoSum &other)
virtual | ~FilterMorphoSum ()
FilterMorphoSum & | operator= (const FilterMorphoSum &other)
double | getWindowValue (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end) const override
Public Member Functions inherited from pappso::FilterMorphoWindowBase
| FilterMorphoWindowBase (std::size_t half_window_size)
| FilterMorphoWindowBase (const FilterMorphoWindowBase &other)
virtual | ~FilterMorphoWindowBase ()
FilterMorphoWindowBase & | operator= (const FilterMorphoWindowBase &other)
virtual Trace & | filter (Trace &data_points) const override
virtual std::size_t | getHalfWindowSize () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Additional Inherited Members

Protected Attributes inherited from pappso::FilterMorphoWindowBase
std::size_t | m_halfWindowSize = 0

## Detailed Description

test purpose

Definition at line 63 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoSum() [1/2]

FilterMorphoSum::FilterMorphoSum | ( | std::size_t | half_window_size | ) |

Definition at line 117 of file filtermorpho.cpp.

: FilterMorphoWindowBase(half_window_size)
{
}
pappso::FilterMorphoWindowBase
base class that apply a signal treatment based on a window
Definition filtermorpho.h:41

## FilterMorphoSum() [2/2]

FilterMorphoSum::FilterMorphoSum | ( | const FilterMorphoSum & | other | ) |

Definition at line 121 of file filtermorpho.cpp.

: FilterMorphoWindowBase(other.m_halfWindowSize)
{
}
pappso::FilterMorphoWindowBase::m_halfWindowSize
std::size_t m_halfWindowSize
Definition filtermorpho.h:43

## ~FilterMorphoSum()

virtual pappso::FilterMorphoSum::~FilterMorphoSum | ( |  | ) |

inline virtual

Definition at line 69 of file filtermorpho.h.

{};

## Member Function Documentation

## getWindowValue()

double FilterMorphoSum::getWindowValue | ( | std::vector< DataPoint >::const_iterator | begin,
|  | std::vector< DataPoint >::const_iterator | end
| ) |  | const

override virtual

Implements pappso::FilterMorphoWindowBase.

Definition at line 135 of file filtermorpho.cpp.

{
qDebug();
return sumYTrace(begin, end, 0);
}
pappso::sumYTrace
double sumYTrace(std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end, double init)
calculate the sum of y value of a trace
Definition trace.cpp:244

References pappso::sumYTrace().

## operator=()

FilterMorphoSum & FilterMorphoSum::operator= | ( | const FilterMorphoSum & | other | ) |

Definition at line 127 of file filtermorpho.cpp.

{
m_halfWindowSize = other.m_halfWindowSize;
return *this;
}

References pappso::FilterMorphoWindowBase::m_halfWindowSize.

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filtermorpho.h
- pappsomspp/processing/filters/filtermorpho.cpp